## hiprand 6.4.1

=== debian/changelog ===
hiprand (6.4.1-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1108333)

 -- Christian Kastner <ckk@debian.org>  Thu, 26 Jun 2025 14:07:49 +0200
