=== debian/control ===
Source: hiprand
Section: devel
Homepage: https://github.com/ROCm/hipRAND
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/hiprand.git
Vcs-Browser: https://salsa.debian.org/rocm-team/hiprand
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               hipcc (>= 5.6.1~),
               libamd-comgr-dev (>= 6.0~),
               libamdhip64-dev (>= 5.6.1~),
               libhsa-runtime-dev (>= 5.7.1~),
               librocrand-dev (>= 6.4.1~),
               rocm-cmake,
               libgtest-dev <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
               python3-doxysphinx <!nodoc>,
               python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
               python3-sphinx-external-toc <!nodoc>,
               libjs-jquery <!nodoc>,
               libjs-mathjax <!nodoc>,
               libjs-sphinxdoc <!nodoc>,
               libjs-underscore <!nodoc>
Rules-Requires-Root: no

Package: libhiprand1
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: wrapper library to port from cuRAND applications to HIP - library
 The rocRAND project includes a wrapper library called hipRAND which allows
 user to easily port CUDA applications that use cuRAND library to the HIP
 layer. In ROCm environment hipRAND uses rocRAND, however in CUDA environment
 cuRAND is used instead.
 .
 This package provides AMD ROCm hipRAND library.

Package: libhiprand-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends: libhiprand1 (= ${binary:Version}),
         libamdhip64-dev,
         librocrand-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: libhiprand-doc
Description: wrapper library to port from cuRAND applications to HIP - headers
 The rocRAND project includes a wrapper library called hipRAND which allows
 user to easily port CUDA applications that use cuRAND library to the HIP
 layer. In ROCm environment hipRAND uses rocRAND, however in CUDA environment
 cuRAND is used instead.
 .
 This package provides AMD ROCm hipRAND development headers.

Package: libhiprand1-tests
Section: libdevel
Architecture: amd64 arm64 ppc64el
Build-Profiles: <!nocheck>
Depends: libhiprand1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
Description: wrapper library to port from cuRAND applications to HIP - tests
 The rocRAND project includes a wrapper library called hipRAND which allows
 user to easily port CUDA applications that use cuRAND library to the HIP
 layer. In ROCm environment hipRAND uses rocRAND, however in CUDA environment
 cuRAND is used instead.
 .
 This package provides AMD ROCm hipRAND test binaries. These binaries are
 only used to check whether hipRAND works correctly on a given GPU, so
 generally speaking, users probably don't need this package.

Package: libhiprand-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: wrapper library to port from cuRAND applications to HIP - documentation
 The rocRAND project includes a wrapper library called hipRAND which allows
 user to easily port CUDA applications that use cuRAND library to the HIP
 layer. In ROCm environment hipRAND uses rocRAND, however in CUDA environment
 cuRAND is used instead.
 .
 This package provides the AMD ROCm hipRAND documentation.
