## hiprand 6.4.3

=== debian/changelog ===
hiprand (6.4.3-1) unstable; urgency=medium

  * Upload to unstable
  * d/control: add self to uploaders
  * d/copyright: update my email, copyright, and fix formatting
  * Update standards version to 4.7.3
    * d/control: remove Priority tag as dpkg now defaults to optional
  * Update gbp.conf for unstable
  * Add prompt for rocminfo output to library and test bug reports
  * Replace wrong use of nocheck with noinsttest
  * Mark __hip_cuid symbols as optional in symbol tracking

 -- Cordell Bloor <cgmb@debian.org>  Tue, 10 Feb 2026 16:45:59 -0700

hiprand (6.4.3-1~exp3) experimental; urgency=medium

  * Add myself to uploaders
  * Remove Built-Using in doc
  * Add salsa CI file

 -- Christian Bayle <bayle@debian.org>  Wed, 08 Oct 2025 18:23:49 +0200

hiprand (6.4.3-1~exp2) experimental; urgency=medium

  * Update doc build
  * Update gbp.conf for experimental

 -- Christian Bayle <bayle@debian.org>  Tue, 23 Sep 2025 20:22:38 +0200

hiprand (6.4.3-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.3
  * run-tests: Conditionalize artifacts on AUTOPKGTEST_ARTIFACTS
  * Use rocm-target-arch to select and document build GPU arch
  * Update d/gbp.conf to follow DEP-14

 -- Christian Kastner <ckk@debian.org>  Sat, 09 Aug 2025 08:34:01 +0200
