=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hiprand
 Section: devel
 Homepage: https://github.com/ROCm/hipRAND
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/rocm-team/hiprand.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/hiprand
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Christian Kastner <ckk@debian.org>,
+           Christian Bayle <bayle@debian.org>,
+           Cordell Bloor <cgmb@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
                hipcc (>= 5.6.1~),
@@ -15,7 +16,8 @@
                libhsa-runtime-dev (>= 5.7.1~),
                librocrand-dev (>= 6.4.1~),
                rocm-cmake,
-               libgtest-dev <!nocheck>,
+               libgtest-dev <!nocheck> <!noinsttest>,
+               pkg-rocm-tools (>= 0.9.0~exp3),
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                python3-doxysphinx <!nodoc>,
                python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
@@ -29,6 +31,7 @@
 Package: libhiprand1
 Section: libs
 Architecture: amd64 arm64 ppc64el
+XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - library
  The rocRAND project includes a wrapper library called hipRAND which allows
@@ -58,7 +61,7 @@
 Package: libhiprand1-tests
 Section: libdevel
 Architecture: amd64 arm64 ppc64el
-Build-Profiles: <!nocheck>
+Build-Profiles: <!noinsttest>
 Depends: libhiprand1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - tests
  The rocRAND project includes a wrapper library called hipRAND which allows
@@ -75,7 +78,6 @@
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
-Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - documentation
