=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,17 @@
 CXXFLAGS := $(subst -fstack-protector-strong,-Xarch_host -fstack-protector-strong,$(CXXFLAGS))
 CXXFLAGS := $(subst -fcf-protection,-Xarch_host -fcf-protection,$(CXXFLAGS))
 
+FEATURE_CHECK := $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
+FEATURE_INSTTEST := $(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),OFF,ON)
+
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_SKIP_INSTALL_RPATH=ON \
 	-DROCM_SYMLINK_LIBS=OFF \
-	-DAMDGPU_TARGETS="gfx803;gfx900;gfx906;gfx908;gfx90a;gfx1010;gfx1030;gfx1100;gfx1101;gfx1102" \
+	-DAMDGPU_TARGETS="$(shell rocm-target-arch --sep ';')" \
 	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
+	-DBUILD_TEST=$(or $(filter ON,$(FEATURE_CHECK)),$(filter ON,$(FEATURE_INSTTEST)),OFF) \
 	-DENABLE_INLINE_ASM=1
-ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
-CMAKE_FLAGS += -DBUILD_TEST=ON
-endif
 
 %:
 	dh $@
@@ -42,14 +43,13 @@
 override_dh_auto_configure-indep:
 	:
 
-override_dh_auto_build-indep:
+execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	http_proxy='127.0.0.1:9' \
-	https_proxy='127.0.0.1:9' \
-	ROCM_DOCS_REMOTE_DETAILS=http://localhost,local \
-	latest_version= \
-	release_candidate= \
-	sphinx-build -v -b html docs hiprand-html
+	rocm-docs-build
+	rm -rf build/html/_static/fonts
+	rm -rf build/html/_static/vendor
 endif
 
 override_dh_auto_test-indep:
@@ -61,3 +61,6 @@
 # dwz doesn't fully support DWARF-5 yet, see #1016936
 override_dh_dwz:
 	:
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vrocm:GPU-Architecture="$(shell rocm-target-arch)"
