=== debian/tests/control ===
Test-Command: rocm-test-launcher /usr/libexec/rocm/libhiprand1-tests/run-tests
Features: test-name=libhiprand1-tests
Depends: pkg-rocm-tools, libhiprand1-tests
Restrictions: skippable, allow-stderr
Architecture: amd64 arm64 ppc64el
