=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hiprand-$1.tar.gz%" \
https://github.com/ROCm/hipRAND/tags \
(?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz debian
