## hiprand 7.1.0

=== debian/changelog ===
hiprand (7.1.0-0ubuntu3) resolute; urgency=medium

  * No change rebuild due to rocrand upgrade

 -- Igor Luppi <igor.luppi@canonical.com>  Fri, 13 Feb 2026 16:04:59 -0300

hiprand (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/control: update b-d to use upstream llvm based toolchain
  * d/control: drop ppc64el builds because of missing dependencies
  * d/rules: fix docs build error

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 06 Feb 2026 11:21:46 +0300

hiprand (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0 (LP: #2133871)
  * d/gbp.conf: update debian-branch to ubuntu/devel
  * d/control:
   - update b-d hipcc to hipcc-rocm
   - update b-d libamd-comgr-dev to libamd-comgr-rocm-dev
  * d/rules:
   - --gc-sections: Fixes linker errors ("relocation refers to a 
     discarded section") when using gtest
   - add '--as-needed' for linker to prevent useless linking
  * d/not-installed: extend the list with LICENSE.md in addition to LICENSE.txt
  * d/libhiprand1.symbols: add hip_cuid symbol with regex and marked as optional

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 24 Nov 2025 18:42:28 +0100
