=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: hiprand
 Section: devel
 Homepage: https://github.com/ROCm/hipRAND
-Standards-Version: 4.7.3
+Priority: optional
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/hiprand.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/hiprand
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Christian Kastner <ckk@debian.org>,
-           Christian Bayle <bayle@debian.org>,
-           Cordell Bloor <cgmb@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               hipcc (>= 5.6.1~),
-               libamd-comgr-dev (>= 6.0~),
-               libamdhip64-dev (>= 5.6.1~),
-               libhsa-runtime-dev (>= 5.7.1~),
-               librocrand-dev (>= 6.4.1~),
+               hipcc (>= 7.1.0~),
+               libamd-comgr-dev (>= 7.1.0~),
+               libamdhip64-dev (>= 7.1.0~),
+               libhsa-runtime-dev (>= 7.1.0~),
+               librocrand-dev (>= 7.1.0~),
                rocm-cmake,
-               libgtest-dev <!nocheck> <!noinsttest>,
+               libgtest-dev <!nocheck>,
                pkg-rocm-tools (>= 0.9.0~exp3),
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                python3-doxysphinx <!nodoc>,
@@ -30,7 +30,7 @@
 
 Package: libhiprand1
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - library
@@ -43,7 +43,7 @@
 
 Package: libhiprand-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Depends: libhiprand1 (= ${binary:Version}),
          libamdhip64-dev,
          librocrand-dev,
@@ -60,8 +60,8 @@
 
 Package: libhiprand1-tests
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
-Build-Profiles: <!noinsttest>
+Architecture: amd64 arm64
+Build-Profiles: <!nocheck>
 Depends: libhiprand1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - tests
  The rocRAND project includes a wrapper library called hipRAND which allows
@@ -78,6 +78,7 @@
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: wrapper library to port from cuRAND applications to HIP - documentation
