=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,16 @@
 #!/usr/bin/make -f
 export CXX=hipcc
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+# Linker flags:
+# -Wl,--gc-sections: Fixes linker errors ("relocation refers to a discarded section") when using gtest.
+# The linker's section garbage collection incorrectly discards needed code due to
+# a toolchain mismatch (ROCm's clang vs. the system's GCC). This flag forces the
+# linker to correctly re-evaluate dependencies, keeping the required sections.
+#
+# -Wl,--as-needed: Only link libraries whose symbols are actually used, avoiding unnecessary runtime
+# dependencies. This prevents warnings about unused library linkage during dpkg-shlibdeps.
+export DEB_LDFLAGS_MAINT_PREPEND = -Wl,--gc-sections,--as-needed
 export DEB_CXXFLAGS_MAINT_PREPEND = -gz
 export VERBOSE=1
 #export AMD_LOG_LEVEL=4
@@ -9,17 +19,16 @@
 CXXFLAGS := $(subst -fstack-protector-strong,-Xarch_host -fstack-protector-strong,$(CXXFLAGS))
 CXXFLAGS := $(subst -fcf-protection,-Xarch_host -fcf-protection,$(CXXFLAGS))
 
-FEATURE_CHECK := $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
-FEATURE_INSTTEST := $(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),OFF,ON)
-
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_SKIP_INSTALL_RPATH=ON \
 	-DROCM_SYMLINK_LIBS=OFF \
 	-DAMDGPU_TARGETS="$(shell rocm-target-arch --sep ';')" \
 	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
-	-DBUILD_TEST=$(or $(filter ON,$(FEATURE_CHECK)),$(filter ON,$(FEATURE_INSTTEST)),OFF) \
 	-DENABLE_INLINE_ASM=1
+ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
+CMAKE_FLAGS += -DBUILD_TEST=ON
+endif
 
 %:
 	dh $@
