=== debian/tests/control ===
--- 
+++ 
@@ -2,4 +2,4 @@
 Features: test-name=libhiprand1-tests
 Depends: pkg-rocm-tools, libhiprand1-tests
 Restrictions: skippable, allow-stderr
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
